For the complete documentation index, see llms.txt. This page is also available as Markdown.

List all stocktakings

Lists all stocktakings for a warehouse.

Required permissions: STOCKTAKING

get
/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
warehouseUidstringRequired

Reference to a Warehouse.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
typestring · enumOptional
ENUMDescription
FULLStock counting containing all productUids in tenant
PARTIALStock counting containing a list of specific producdIds
RECOUNTMake a new stock taking with a set of productUids to be recounted
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings
GET /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "description": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "status": "NOT_STARTED",
      "stocktakingUid": "text",
      "type": "FULL",
      "warehouseUid": "text",
      "withStock": true
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?